Skip to main content
GET
/
stream
Stream real-time prices for an asset (Deprecated)
curl --request GET \
  --url https://streaming.dexpaprika.com/stream
import requests

url = "https://streaming.dexpaprika.com/stream"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://streaming.dexpaprika.com/stream', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "a": "<string>",
  "c": "<string>",
  "p": "<string>",
  "t": "<string>",
  "t_p": "<string>"
}
{
  "message": "asset not found"
}
{
  "message": "asset not found"
}
{
  "message": "asset not found"
}

Query Parameters

method
enum<string>
required

t_p emits PriceLegacyResponse events (deprecated). token_price emits PriceResponse events (current).

Available options:
t_p,
token_price
address
string
required

Token smart contract address.

chain
string
required

Blockchain network identifier (e.g. ethereum, solana).

request_id
integer

Optional identifier echoed back on each SSE event for this subscription.

Required range: 0 <= x <= 4294967295
limit
integer

Close the stream after this many events. Omit for an indefinite stream.

Required range: x >= 1

Response

SSE stream established.

Deprecated - delivered on the t_p event channel. Scheduled for removal in 2027. Use PriceResponse (event: token_price) instead.

a
string

Token smart contract address (equivalent to address in PriceResponse).

c
string

Blockchain network identifier (equivalent to chain in PriceResponse).

p
string

Token price in USD (equivalent to price in PriceResponse).

t
string

Server ingestion timestamp (equivalent to timestamp in PriceResponse).

t_p
string

Price timestamp (equivalent to timestamp_price in PriceResponse).